import { SmileOutlined, CoffeeOutlined, FireOutlined } from "@ant-design/icons";
import type { PromptsProps } from "@ant-design/x";

import icon1 from "@/assets/icon-ai-1.png";
import icon2 from "@/assets/icon-ai-2.png";
import icon3 from "@/assets/icon-ai-3.png";
import icon4 from "@/assets/icon-ai-4.png";
import icon5 from "@/assets/icon-ai-5.png";
import icon6 from "@/assets/icon-ai-6.png";

export type AgentItem = {
  key: string;
  name: string;
  icon: string;
  description?: string;
  promptsItems?: PromptsProps["items"]
}

export const assistantList: AgentItem[] = [
  {
    key: "app1",
    name: "综合问答",
    icon: icon1,
    description: "基于LLM的智能助手，可以进行各种使用查询、知识问答等~",
    promptsItems: [
      {
        key: "1",
        icon: <CoffeeOutlined style={{ color: "#964B00" }} />,
        description: "怎么创建我的应用?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#FAAD14" }} />,
        description: "页面设计器如何使用?",
      },
      {
        key: "3",
        icon: <FireOutlined style={{ color: "#FF4D4F" }} />,
        description: "如何生成页面SQL?",
      },
    ],
  },
  {
    key: "app2",
    name: "系统设计",
    icon: icon2,
    description: "可以进行各种系统方面的图形创建、使用说明，如: 流程图、系统架构图等等",
    promptsItems: [
      {
        key: "1",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何创建流程图?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何设置画布样式?",
      },
    ]
  },
  {
    key: "app3",
    name: "数据模型",
    icon: icon3,
    description: "关于数据模型的一些问题~",
    promptsItems: [
      {
        key: "1",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何创建表格?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何使用在系统中使用数据模型?",
      },
    ]
  },
  {
    key: "app4",
    name: "页面设计",
    icon: icon4,
    description: "表单设计器方面的使用方法~",
    promptsItems: [
      {
        key: "1",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何使用表单设计器?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何在表单设计器中添加弹窗?",
      },
    ]
  },
  {
    key: "app5",
    name: "流程设计",
    icon: icon5,
    description: "不同流程的创建和使用",
    promptsItems: [
      {
        key: "1",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何在系统中使用流程图?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "流程异常如何处理?",
      },
    ]
  },
  {
    key: "app6",
    name: "文档管理",
    icon: icon6,
    description: "文档管理方面的一些问题",
    promptsItems: [
      {
        key: "1",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何上传文档?",
      },
      {
        key: "2",
        icon: <SmileOutlined style={{ color: "#52C41A" }} />,
        description: "如何将文档保存为模板?",
      },
    ]
  },
];
